Description

If you are using a a mac and installed the most recent update of OSX 10.9 (Mavericks), gammalib won't compile anymore and the

python bindings do not work either. This is due to a new compiler in Xcode 5.0.1 (which comes with the Mavericks update). The low

level virtual machine (llvm) version has been changed to version 5.0. This implies that all packages you have installed on your mac

are outdated and have to be recompiled with the new version (this includes e.g. the gcc compiler).

If you are using macports, there is a nice way to easy let this work getting done for you:

First update you macports definition by:

$ > sudo port selfupdate

then update all your old ports by typing:

 

$ > sudo port upgrade outdated

This update will stop with an error message about the llvm version. To continue, you have to remove this version and all its

dependencies:

$ > sudo port uninstall —follow-dependents llvm-3.1

After finishing, rerun the following command:

 

$ > sudo port upgrade outdated

Note, that all this took me up to 4h. So consider doing this in parallel to something else smile.png 

History

#1 - 10/24/2013 02:12 PM - Deil Christoph

Actually the recommended procedure is to re-install Macports from scratch after an update to a new OS X version:

https://trac.macports.org/wiki/Migration

If you don't you'll most likely run into C++ problems from time to time, especially with the update to Mavericks:

https://lists.macosforge.org/pipermail/macports-dev/2013-October/024715.html

And generally it's also good advice to wait for a week or two until a new stable version of Macports is out and binary packages have been produced

so that you don't have to compile everything on your machine.

But I'm also tempted to upgrade ... :-)
#2 - 10/24/2013 02:16 PM - Mayer Michael

Yes, it took me a while to figure out that reinstalling or updating macports is the simplest and only solution. I was just too attracted to the new OS X

and updated without thinking smile.png 

#3 - 10/31/2013 11:50 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
